Machine Requirements

The machine requirements for running ROBLOX can be found on the ROBLOX support site.

[edit] Current support

Roblox currently supports:

  • Microsoft Windows
  • Mac OS X on Snow Leopard and above
  • Android
  • Apple iOS
  • Amazon Fire OS

Linux is not supported yet, but there are ways to get ROBLOX to work on Linux. See Roblox on Linux for more information.

[edit] See also